Skip to content
POST /unified/accounting/expenses

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

account
2 supported2 required
QuickBooks
required
Wave
required
contactstring

The contact the expense was made to.

References: Contacts → id
1 supported
QuickBooks
supported
currencystring

The currency of the expense

1 supported
QuickBooks
supported
descriptionstring

The description of the expense

1 supported1 required
Wave
required
external_idstring

The external id of the expense

1 supported1 required
Wave
required
line_itemsobject[]

The line items of the expense

2 supported2 required
QuickBooks
required
Wave
required
accountstring
required·

The account of the line item

total_line_amountnumber
required·

The total line amount of the line item

descriptionstring

The description of the line item

idstring

The unique identifier for line items

namestring

The name of the line item

quantitynumber

The quantity of the line item

tax_ratestring

The tax rate of the line item

typestring

The type of the line item

unit_pricenumber

The unit price of the line item

payment_typestring

The payment type for the expense. One of Cash, Check, CreditCard.

Possible values:
CashCheckCreditCard
1 supported1 required
QuickBooks
required
CashCheckCreditCard
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

transaction_datestring · date-time

The transaction date of the expense

2 supported1 required
Wave
required
QuickBooks
supported

Response Body

idstring
required·

The unique identifier for expenses

2 supported
QuickBooks
supported
Wave
supported
companystring

The company of the expense

References: CompanyInfo → id
contactstring

The contact of the expense

References: Contacts → id
1 supported
QuickBooks
supported
created_atstring · date-time

This represents the date when the expense was created

1 supported
QuickBooks
supported
currencystring

The currency of the expense

1 supported
QuickBooks
supported
exchange_ratenumber

The exchange rate of the expense

line_itemsobject[]

The line items of the expense

1 supported
QuickBooks
supported
accountstring

The account of the line item

descriptionstring

The description of the line item

idstring

The unique identifier for line items

namestring

The name of the line item

quantitynumber

The quantity of the line item

tax_ratestring

The tax rate of the line item

total_line_amountnumber

The total line amount of the line item

typestring

The type of the line item

unit_pricenumber

The unit price of the line item

memostring

The memo of the expense

1 supported
QuickBooks
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

total_amountnumber

The total amount of the expense

1 supported
QuickBooks
supported
transaction_datestring · date-time

The transaction date of the expense

1 supported
QuickBooks
supported
updated_atstring · date-time

This represents the date when the expense was updated

1 supported
QuickBooks
supported
curl -X POST 'https://api.truto.one/unified/accounting/expenses?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "currency": "your_currency",
  "contact": "your_contact",
  "payment_type": "Cash",
  "line_items": [],
  "external_id": "your_external_id",
  "transaction_date": "your_transaction_date",
  "description": "your_description",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "currency": "your_currency",
  "contact": "your_contact",
  "payment_type": "Cash",
  "line_items": [],
  "external_id": "your_external_id",
  "transaction_date": "your_transaction_date",
  "description": "your_description",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/accounting/expenses?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/expenses"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "currency": "your_currency",
    "contact": "your_contact",
    "payment_type": "Cash",
    "line_items": [],
    "external_id": "your_external_id",
    "transaction_date": "your_transaction_date",
    "description": "your_description",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'accounting',
  'expenses',
  {
  "currency": "your_currency",
  "contact": "your_contact",
  "payment_type": "Cash",
  "line_items": [],
  "external_id": "your_external_id",
  "transaction_date": "your_transaction_date",
  "description": "your_description",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "accounting",
        "expenses",
        {
        "currency": "your_currency",
        "contact": "your_contact",
        "payment_type": "Cash",
        "line_items": [],
        "external_id": "your_external_id",
        "transaction_date": "your_transaction_date",
        "description": "your_description",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())